Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 56552 - attempt to access beyond end of device from kickstart partitioning
attempt to access beyond end of device from kickstart partitioning
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-20 15:45 EST by Greg Caetano
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-20 15:45:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Caetano 2001-11-20 15:45:51 EST
Description of Problem:

while using kickstart method to build the system a series of
non-fatal error messages appear on vty 3 when anaconda is partitioning
the hard drive

<6>attempt to access beyond end of device
<6>01:01: rw:1, want=7004, limit=4608
<6>attempt to access beyond end of device
<6>01:01: rw:1, want=7004, limit=4608
<6>attempt to access beyond end of device
<6>01:01: rw:1, want=7005, limit=4608
<6>attempt to access beyond end of device
<6>01:01: rw:1, want=7006, limit=4608
<6> ida/c0d0: unknown partition table
<6> ida/c0d0:
<6> ida/c0d0: p1 p2 p3 

this error message did not appear during this
process with RH 7.1

section of ks.cfg:

zerombr yes
clearpart --all --initlabel
part /boot --size 60
part swap --size 512
part / --size 3072 --grow

The harddrive is a Win98se bootable partition with the following files:

loadlin.exe
vmlinuz
initrd.img
autoexec.bat

autoexec.bat contains one line:

loadlin vmlinuz ks=hd:ida/c0d0p1/ks.cfg initrd=initrd.img
Comment 1 Matt Wilson 2002-04-16 17:07:00 EDT
This is a non-fatal (expected) warning message.

Note You need to log in before you can comment on or make changes to this bug.